atomic_base.h File Reference

Go to the source code of this file.

## Classes

struct | std::__atomic_base< _ITp >
struct | std::__atomic_base< _PTp * >
struct | std::__atomic_flag_base
struct | std::atomic_flag

## Namespaces

namespace | std

## Macros

#define | _GLIBCXX_ALWAYS_INLINE
#define | ATOMIC_FLAG_INIT
#define | ATOMIC_VAR_INIT(_VI)

## Typedefs

typedef unsigned char | std::__atomic_flag_data_type
typedef enum std::memory_order | std::memory_order

## Enumerations

enum | __memory_order_modifier { __memory_order_mask , __memory_order_modifier_mask , __memory_order_hle_acquire , __memory_order_hle_release }
enum | std::memory_order { memory_order_relaxed , memory_order_consume , memory_order_acquire , memory_order_release , memory_order_acq_rel , memory_order_seq_cst }

## Functions

| std::__attribute__ ((__always_inline__)) void atomic_thread_fence(memory_order __m) noexcept
constexpr memory_order | std::__cmpexch_failure_order (memory_order __m) noexcept
constexpr memory_order | std::__cmpexch_failure_order2 (memory_order __m) noexcept
template<typename _Tp >
_Tp | std::kill_dependency (_Tp __y) noexcept
constexpr memory_order | std::operator& (memory_order __m, __memory_order_modifier __mod)
constexpr memory_order | std::operator| (memory_order __m, __memory_order_modifier __mod)

## Detailed Description

This is an internal header file, included by other library headers. Do not attempt to use it directly. Instead, include <atomic>.

Definition in file atomic_base.h.

## Macro Definition Documentation

## _GLIBCXX_ALWAYS_INLINE

#define _GLIBCXX_ALWAYS_INLINE

Definition at line 40 of file atomic_base.h.